<?php

/*
* Get authentication details for SK Posta API
*/
function tsseph_posta_api_get_auth() {
	$tsseph_options = get_option( 'tsseph_options' );

	$tsseph_options['UserId'] = (!empty($tsseph_options['UserId']) ? $tsseph_options['UserId'] : '');   
	$tsseph_options['apiKey'] = (!empty($tsseph_options['apiKey']) ? $tsseph_options['apiKey'] : '');


	$auth = array (
		'userId' => $tsseph_options['UserId'],
		'apiKey' => $tsseph_options['ApiKey']
		);

	return $auth;
}

/*
	API call to Slovenska Posta
*/
function tsseph_posta_api($method,$data) {

	//Prepare log
	$tsseph_options = get_option('tsseph_options'); 
	if (!isset($tsseph_options['LastLog'])) { $tsseph_options['LastLog'] = array('importSheet' => '','getSheetStatus' => '','getSheet' => ''); } 

	$WSDL = 'https://mojezasielky.posta.sk/integration/webServices/api?wsdl';
	$client = new SoapClient($WSDL, array("soap_version" => SOAP_1_1,"trace" => 1));
	$response = "";

	try {
		$response = $client->__soapCall($method,array($data));
		$tsseph_options['LastLog'][$method] = serialize(array(array($data),$response));
	}	
	catch (SoapFault $exception){
		$tsseph_options['LastLog'][$method] = serialize(array(array($data),$exception));
	}

	update_option('tsseph_options', $tsseph_options);	

	return $response;
}

?>