<?php

/*
*	Register new column to WooCommerce order table (eph_shipping)
*/
function tsseph_add_shipping_method_col( $columns ) {
    $columns['eph_shipping'] = 'Druh zasielky';
    return $columns;
}
add_filter( 'manage_edit-shop_order_columns', 'tsseph_add_shipping_method_col' );

/*
*	Add UI for the new column to WooCommerce order table (eph_shipping)
*/ 
function tsseph_add_shipping_method_col_admin( $column ) {
   
    global $post, $the_order;

    if ( 'eph_shipping' === $column ) {

    //Load selected eph shipping method
     $eph_shipping_method =  get_post_meta($post->ID, 'tsseph_shipping_method_id', true);  

     if (empty($eph_shipping_method)) {

		foreach( $the_order->get_items( 'shipping' ) as $Shipping_item_obj ){
			$shipping_instance_id = $Shipping_item_obj->get_instance_id();
		}

		 $tsseph_options= get_option( 'tsseph_options' );

		//Backward compatibility with version 1.0.9
		if (isset($tsseph_options['PredvolenyDruhZasielky']) && empty($tsseph_options['PredvolenyDruhZasielky_' . $shipping_instance_id])) {
			$eph_shipping_method = $tsseph_options['PredvolenyDruhZasielky'];
		} else {
			$eph_shipping_method = (isset($tsseph_options['PredvolenyDruhZasielky_' . $shipping_instance_id]) ? $tsseph_options['PredvolenyDruhZasielky_' . $shipping_instance_id] : 1); 
		}
    }

?>
    <div class="no-link">
		<select onchange="tsseph_shipping_change(this,'<?php echo wp_nonce_url( admin_url( 'admin-ajax.php?action=tsseph_set_shipping_method&order_id=' .$post->ID ), 'tsseph_set_shipping_method' );?>')">        

		<?php 
			foreach(tsseph_get_druh_zasielky_options() as $key => $druh_zasielky) {
				echo "<option value=\"" . $key ."\" " . selected( $eph_shipping_method, $key ) . ">" . $druh_zasielky . "</option>"; 
				} 
			?>
		
		</select>
		<div class="eph_save_status"><span class="dashicons dashicons-yes"></span></div>
    </div>
<?php
    }
}
add_action( 'manage_shop_order_posts_custom_column', 'tsseph_add_shipping_method_col_admin' );

/*
*	Ajax callback for saving eph shipping method id
*/ 
function tsseph_set_shipping_method() {
    if(isset($_POST['shipping_method_id'])) { $shipping_method_id = absint($_POST['shipping_method_id']);} else $shipping_method_id = 0;
    if(isset($_GET['order_id'])) { $order_id = absint($_GET['order_id']);} else $order_id = 0;

    //Save shipping id 
    update_post_meta($order_id, 'tsseph_shipping_method_id', $shipping_method_id);

    wp_die();
}
add_action('wp_ajax_tsseph_set_shipping_method', 'tsseph_set_shipping_method');